Page MenuHomePhabricator

Get the file name for the symbol from the Module, not the SourceManager.
ClosedPublic

Authored by v.g.vassilev on Jun 9 2017, 9:33 AM.

Details

Reviewers
rsmith
Summary

This allows multi-module / incremental compilation environments to have unique initializer symbols.

Patch by Axel Naumann!

Diff Detail

Event Timeline

v.g.vassilev created this revision.Jun 9 2017, 9:33 AM
rsmith edited edge metadata.Jun 9 2017, 12:28 PM

Is there any way to add a test for this? Does it affect the behavior of clang or any in-tree clang-based tools?

If this isn't visible through existing in-tree tools, it would be useful to add to unittests/ a rough skeleton of what you're doing, so you can add tests for this kind of thing, and so we don't regress functionality you're depending on.

Add a test case.

Update test file comment.

rsmith accepted this revision.Jun 26 2017, 1:44 PM

Looks good, thanks!

This revision is now accepted and ready to land.Jun 26 2017, 1:44 PM
v.g.vassilev closed this revision.Aug 27 2017, 4:28 AM

Landed in r311844.